PamCut: CaloNotIntCut Class Reference

# CaloNotIntCut Class Reference

The non-interacting track cut. This check discards all the events who interacts in the calorimeter. It is possible to choose the track to use for the check. To improve computation speed, Check does NOT computes the track for the event; the track information is supposed to lie in some external object, whose address has to be passed to the constructor. The user is then demanded to fill this external object with the proper track information for the current event before calling Check or ApplyCut. Currently, only the check with the calorimeter track is implemented. More...

`#include <CaloNotIntCut.h>`

Inheritance diagram for CaloNotIntCut:

List of all members.

## Public Member Functions
| CaloNotIntCut (const char *cutName, TrkTrack *trkTrack, float qRatioMin=0.8)
| Constructor for tracker track. Use this constructor if you want to use the tracker track to perform the non-interaction check.
| CaloNotIntCut (const char *cutName, CaloAxis *xCaloAxis, CaloAxis *yCaloAxis, float qRatioMin=0.8)
| Constructor for calorimeter track. Use this constructor if you want to use the calorimeter track to perform the non-interaction check.
| ~CaloNotIntCut ()
| Destructor.
int | Check (PamLevel2 *event)
| The non-interacting track check.
## Private Attributes
TrkTrack * | _trkTrack
CaloAxis * | _xCaloAxis
CaloAxis * | _yCaloAxis
float | _qRatioMin

## Detailed Description

The non-interacting track cut. This check discards all the events who interacts in the calorimeter. It is possible to choose the track to use for the check. To improve computation speed, Check does NOT computes the track for the event; the track information is supposed to lie in some external object, whose address has to be passed to the constructor. The user is then demanded to fill this external object with the proper track information for the current event before calling Check or ApplyCut. Currently, only the check with the calorimeter track is implemented.

CUT DEPENDENCIES: CaloTrackCut for the existence of the track (it can also provide the CaloAxis objects).

Definition at line 27 of file CaloNotIntCut.h.

## Constructor & Destructor Documentation

CaloNotIntCut::CaloNotIntCut | ( | const char * | cutName,
|  | TrkTrack * | trkTrack,
|  | float | qRatioMin = `0.8` |
| ) |  |  | `[inline]`

Constructor for tracker track. Use this constructor if you want to use the tracker track to perform the non-interaction check.

NOTE: Check() for this constructor is not implemented yet.

Parameters:

  | cutName | The name of the cut.
  | trkTrack | Pointer to the tracker track object. *
  | qRatioMin | The minimum threshold for the ratio between track charge and total charge in CALO.

Definition at line 40 of file CaloNotIntCut.h.

CaloNotIntCut::CaloNotIntCut | ( | const char * | cutName,
|  | CaloAxis * | xCaloAxis,
|  | CaloAxis * | yCaloAxis,
|  | float | qRatioMin = `0.8` |
| ) |  |  | `[inline]`

Constructor for calorimeter track. Use this constructor if you want to use the calorimeter track to perform the non-interaction check.

Parameters:

  | cutName | The name of the cut.
  | xCaloAxis | The pointer to the CaloAxis object for X axis
  | yCaloAxis | The pointer to the CaloAxis object for Y axis
  | qRatioMin | The minimum threshold for the ratio between track charge and total charge in CALO.

Returns:

Definition at line 54 of file CaloNotIntCut.h.

CaloNotIntCut::~CaloNotIntCut | ( |  | ) | `[inline]`

Destructor.

Definition at line 61 of file CaloNotIntCut.h.

## Member Function Documentation

int CaloNotIntCut::Check | ( | PamLevel2 * | event | ) | `[virtual]`

The non-interacting track check.

Parameters:

  | event | The event to analyze.

Returns:
  CUTOK if the ratio between the charge released along the Calo track and the total released charge is greater than qRatioMin.

  0 otherwise.

Implements PamCut.

Definition at line 11 of file CaloNotIntCut.cpp.

References _qRatioMin, _trkTrack, _xCaloAxis, _yCaloAxis, CUTOK, and CaloAxis::GetQaxis().

## Member Data Documentation

float CaloNotIntCut::_qRatioMin`[private]`

Definition at line 77 of file CaloNotIntCut.h.

Referenced by Check().

TrkTrack* CaloNotIntCut::_trkTrack`[private]`

Definition at line 75 of file CaloNotIntCut.h.

Referenced by Check().

CaloAxis* CaloNotIntCut::_xCaloAxis`[private]`

Definition at line 76 of file CaloNotIntCut.h.

Referenced by Check().

CaloAxis * CaloNotIntCut::_yCaloAxis`[private]`

Definition at line 76 of file CaloNotIntCut.h.

Referenced by Check().

The documentation for this class was generated from the following files:

- CaloCuts/CaloNotIntCut/CaloNotIntCut.h
- CaloCuts/CaloNotIntCut/CaloNotIntCut.cpp